The following shows how to generate the dns-analytics-gtm-domain-queries-by-geo report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.
Report definition
This report shows DNS requests and NXDOMAIN responses by country and geographic region. This data is shown for a GTM domain.
Business object: fpdomain
Data available for: 90 days
Available metrics
| Metric | Description |
|---|---|
| Data metrics | |
geo_code | The ISO 3166-1 alpha-2 country code associated with requests. |
nxdomains | Number of NXDOMAIN responses. |
requests | Number of DNS requests. |
Available filters
| Filter | Type | Description |
|---|---|---|
| Optional filters | ||
domain | String | GTM domain. |
POST request
POST /reporting-api/v1/reports/dns-analytics-gtm-domain-queries-by-geo/versions/3/report-data{?start,end}
Sample: /reporting-api/v1/reports/dns-analytics-gtm-domain-queries-by-geo/versions/3/report-data?start=2026-02-01T00%3A00%3A00Z&end=2026-03-01T00%3A00%3A00Z
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2026-02-01T00:00:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp. |
end | String | 2026-03-01T00:00:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp. |
JSON request members
| Member | Type | Description |
|---|---|---|
objectIds | Array | Specifies the set of fpdomain values you want to report on. |
objectIds | Enumeration | As an alternative to an array of ID values, specify all as a string for unfiltered data. Either way, objectIds is required. |
metrics | Array | The set of desired metrics. If omitted, the report includes all available metrics. |
filters | Map of Arrays | Specifies a set of custom filters, with each filter's name keying an array with each filter's set of values. |
Request body:
{
"objectIds": [
"www.example.com",
"m.example.com",
"blog.example.com"
],
"metrics": [
"geo_code",
"nxdomains",
"requests"
],
"filters": {
"domain": [
"www.example.com",
"m.example.com",
"blog.example.com
]
}
}
GET request
GET /reporting-api/v1/reports/dns-analytics-gtm-domain-queries-by-geo/versions/3/report-data{?start,end,objectIds,allObjectIds,metrics,filters}
Sample: /reporting-api/v1/reports/dns-analytics-gtm-domain-queries-by-geo/versions/3/report-data?start=2026-02-01T00%3A00%3A00Z&end=2026-03-01T00%3A00%3A00Z&objectIds=www.example.com,m.example.com,blog.example.com&metrics=geo_code%2Cnxdomains&filters=domain%3Dwww.example.com%2Cdomain%3Dm.example.com%2Cdomain%3Dblog.example.com
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2026-02-01T00:00:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp. |
end | String | 2026-03-01T00:00:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp. |
| Optional | |||
allObjectIds | Boolean | true | As an alternative to objectIds, enabling this generates a report that includes all IDs available for the fpdomain objectType. This parameter is ignored if the request also specifies a set of objectIds. |
objectIds | String | www.example.com, m.example.com, blog.example.com | As an alternative to allObjectIds, specifies the set of unique IDs for the fpdomain objectType you want to report on, formatted as a comma-delimited list. |
metrics | String | geo_code,nxdomains | Specifies a comma-separated list of metrics to include in the report, otherwise all metrics if omitted. The set of available metrics depends on the type of report. URL-encode the entire value in the GET request. |
filters | String | domain=www.example.com,domain=m.example.com,domain=blog.example.com | Specifies criteria to filter the report’s data. The set of available filters depends on the type of report. Separate each filter name and value with an equals (=) character, and separate various name/value pairs with commas (,). To specify more than one filter value, repeat the filter name. See the accompanying example for guidance. URL-encode the entire value in the GET request. |
JSON response
Status 200 application/json
Response body:
{
"metadata": {
"name": "dns-analytics-gtm-domain-queries-by-geo",
"version": "3",
"outputType": "FLAT",
"groupBy": [
"geo_id"
],
"start": "2026-02-01T00:00:00Z",
"end": "2026-03-01T00:00:00Z",
"availableDataEnds": null,
"suggestedRetryTime": null,
"rowCount": 4,
"filters": [
{
"name": "domain",
"values": [
"www.example.com",
"m.example.com",
"blog.example.com"
]
}
],
"columns": [
{
"name": "groupBy",
"label": "geo_id"
},
{
"name": "geo_code",
"label": "Geographic ID"
},
{
"name": "nxdomains",
"label": "Total NXDOMAIN Responses"
},
{
"name": "requests",
"label": "Total Requests"
}
],
"objectType": "fpdomain",
"objectIds": [
"www.example.com",
"m.example.com",
"blog.example.com"
]
},
"data": [
{
"geo_id": "64",
"geo_code": "DO",
"nxdomains": "3085",
"requests": "9915"
},
{
"geo_id": "34",
"geo_code": "IO",
"nxdomains": "4898",
"requests": "7356"
},
{
"geo_id": "219",
"geo_code": "TT",
"nxdomains": "2764",
"requests": "2908"
},
{
"Geo_id": "212",
"geo_code": "TW",
"nxdomains": "658",
"requests": "3400"
}
],
"summaryStatistics": {}
}
Get report details
This sample Get a report type operation gets the same information you need to run the dns-analytics-gtm-domain-queries-by-geo report as provided in this reference documentation, but available dynamically to your API client application.
GET /reporting-api/v1/reports/dns-analytics-gtm-domain-queries-by-geo/versions/3
Status 200 application/json
Response body:
{
"name": "dns-analytics-gtm-domain-queries-by-geo",
"description": "This report shows DNS requests and NXDOMAIN responses by country and geographic region. This data is shown for a GTM domain.",
"businessObjectName": "fpdomain",
"version": 3,
"status": "PUBLISHED",
"deprecated": false,
"timeBased": false,
"supportsPagination": false,
"outputType": "FLAT",
"available": true,
"metrics": [
{
"name": "geo_code",
"description": "The ISO 3166-1 alpha-2 country code associated with requests.",
"label": "Geographic ID",
"unit": "STRING",
"summaryStatistic": false
},
{
"name": "requests",
"description": "Number of DNS requests.",
"label": "Total Requests",
"unit": "COUNT",
"summaryStatistic": false
},
{
"name": "nxdomains",
"description": "Number of NXDOMAIN responses.",
"label": "Total NXDOMAIN Responses",
"unit": "COUNT",
"summaryStatistic": false
}
],
"groupOutlyingValues": {
"enabled": false
},
"groupBy": [
"geo_id"
],
"filters": [
{
"name": "domain",
"type": "string",
"description": "GTM domain.",
"required": false
}
],
"intervals": [
"MONTH",
"WEEK",
"DAY",
"HOUR",
"FIVE_MINUTES"
],
"dataRetentionDays": 90,
"links": [
{
"rel": "self",
"href": "/reporting-api/v1/reports/dns-analytics-gtm-domain-queries-by-geo/versions/3"
},
{
"rel": "versions",
"href": "/reporting-api/v1/reports/dns-analytics-gtm-domain-queries-by-geo/versions"
},
{
"rel": "all-reports",
"href": "/reporting-api/v1/reports"
},
{
"rel": "execute-report",
"href": "/reporting-api/v1/reports/dns-analytics-gtm-domain-queries-by-geo/versions/3/report-data"
}
]
}